Summary: Client and server for the telnet remote login protocol
Name: telnet
Version: 0.10
Release: 5
Copyright: BSD
Group: Networking
Source0: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-telnet-0.10.tar.gz
Source1: telnet.wmconfig
Patch: netkit-telnet-0.10-misc.patch
Requires: inetd
Buildroot: /var/tmp/telnet-root
Summary(de): Client und Server fr das entfernte Login-Protokoll 'telnet'
Summary(fr): Client et serveur pour le protocole de connexion distante telnet.
Summary(tr): Telnet uzak balant protokol iin istemci ve sunucu

%changelog
* Fri Apr 24 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Fri Apr 24 1998 Cristian Gafton <gafton@redhat.com>
- compile C++ code using egcs

* Tue Apr 14 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build

%description
Telnet is a popular protocol for remote logins across the Internet. This
package provides a command line telnet client as well as a telnet daemon
which allows remote logins into the machine it is running on. The telnet
daemon is enabled by default, and may be disabled by editing /etc/inetd.conf.

%description -l de
Telnet ist ein beliebtes Protokoll fr entfernte Logins ber das Internet.
Dieses Paket enthlt einen Befehlszeilen-Telnet-Client und einen Telnet-Dmon,
der entfernte Logins auf dem Rechner, auf dem er luft, zult. Der Telnet-
Dmon ist standardmig aktiviert. Sie knnen ihn deaktivieren, indem Sie die
Datei /etc/inetd.conf. ndern.

%description -l fr
telnet est un protocole trs utilis pour les logins distants sur l'Internet.
Ce paquetage offre un client telnet en ligne de commande et un dmon telnet
permettant des logins distants sur la machine sur laquelle il tourne. Le
dmon est activ par dfaut et peut tre dsactiv en ditant /etc/inetd.conf.

%description -l tr
Telnet, Internet zerinden uzak kullanc balantlar iin popler bir
protokoldur. Bu paket, bir komut satr istemcisi ile birlikte bir sunucu
sreci ierir. Sunucu srecin alt makinaya uzak kullanclarn
balanabilir.

%prep
%setup -n netkit-telnet-0.10
%patch -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" CC=egcs

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
make INSTALLROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -o root -g root -m644 $RPM_SOURCE_DIR/telnet.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/telnet

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config(missingok) /etc/X11/wmconfig/telnet
/usr/bin/telnet
/usr/man/man1/telnet.1
/usr/sbin/in.telnetd
/usr/man/man5/issue.net.5
/usr/man/man8/in.telnetd.8
/usr/man/man8/telnetd.8
